#define OUT0 0
#define OUT1 1
#define OUT2 2
#define OUT3 3
#define OUT4 4
#define OUT5 5
#define OUT6 6
#define OUT7 7

#define TLC5916_QTY 2
#define BACKLIGHT 0 // devicenumber in the array
#define LED 1 // devicenumber in the array

void tlc5916_init (void);

#define NORMAL 0
#define SPECIAL 1
void tlc5916_mode (uint8_t newmode);

#define OUT_ARRAY_INIT {0x00, 0x00}
void tlc5916_out (uint8_t data, uint8_t device);

#define CONFIG_CODE(value) (((value) << 2) + 0x03)
#define CUR_ARRAY_INIT {0xFF, 0xFF}
void tlc5916_cur (uint8_t data, uint8_t device);

#define LE      PD7
#define LE_DDR  DDRD
#define LE_PORT PORTD
#define LE_HI   LE_PORT |= (1<<LE);
#define LE_LO   LE_PORT &= ~(1<<LE);
#define LE_HILO LE_HI LE_LO

#define OE      PD6
#define OE_DDR  DDRD
#define OE_PORT PORTD
#define OE_HI   OE_PORT |= (1<<OE);
#define OE_LO   OE_PORT &= ~(1<<OE);

#define XCK_HI   XCK_PORT |= (1<<XCK);
#define XCK_LO   XCK_PORT &= ~(1<<XCK);
#define XCK_HILO XCK_HI XCK_LO

#define SPI_DISABLE usart_disable();
#define SPI_ENABLE usart_enable();
